package aspects.exceptionHandling;

import javax.servlet.http.HttpServlet;

public aspect ServletInitializationExceptionHandlingAspect {

	/**
	 * Matches the servlet initialization
	 */
	pointcut servletInitialization(): execution(void HttpServlet+.init(..));

	void around() : servletInitialization() {
		try {
			proceed();
		} catch (Throwable ex) { 
			System.out.println("*****************************************\n");
			System.out.println(" ERROR DURING SERVLET INITIALIZATION \n");
			System.out.println(" Error message: "+ex.getMessage()+"\n");
			System.out.println(" Location:      "+thisJoinPoint.getSourceLocation()+"\n");
			System.out.println("*****************************************");			
		}
	}

}
